Bug 842987 - suspend-to-RAM broken on HP nc6000 laptop in kernel 3.4.2, works in kernel 3.3.7
suspend-to-RAM broken on HP nc6000 laptop in kernel 3.4.2, works in kernel 3.3.7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
suspend first=3.3 tested=3.4.2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 04:32 EDT by David Paschal
Modified: 2013-02-13 10:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:40:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Paschal 2012-07-25 04:32:14 EDT
Description of problem: On an HP/Compaq nc6000 laptop, suspend-to-RAM (sleep) and resume work in kernel-3.3.7-1.fc16.i686 but stopped working in kernel-3.4.2-1.fc16.i686 and later.


Version-Release number of selected component (if applicable):

DOESN'T WORK:
Linux localhost.localdomain 3.4.2-1.fc16.i686 #1 SMP Thu Jun 14 21:13:38 UTC 2012 i686 i686 i386 GNU/Linux
Linux localhost.localdomain 3.4.4-4.fc16.i686 #1 SMP Thu Jul 5 20:58:10 UTC 2012 i686 i686 i386 GNU/Linux

DOES WORK:
Linux localhost.localdomain 3.3.7-1.fc16.i686 #1 SMP Tue May 22 14:14:30 UTC 2012 i686 i686 i386 GNU/Linux


How reproducible:

Every time.


Steps to Reproduce:
1. To attempt to sleep, select the "Sleep" option under the KDE "Leave" menu.
2. To attempt to resume, press-and-release the laptop's power button once.


Actual results:

Upon suspend, screen goes blank, but power light stays on, and fan stays at high speed.  Pressing-and-releasing the power button has no effect.  Holding the power button for 5 seconds makes the laptop finish powering down (power light and fan turn off).  Pressing-and-releasing the power button again brings it back into the blank-screen-but-high-fan state, requiring another 5-second power button holddown.  A final press-and-release of the power button causes the system to power back up as a fresh system bootup (BIOS, grub, kernel, init, login, etc.).


Expected results:

When selecting the "Sleep" option, the laptop should within a few seconds go into a proper suspend-to-RAM state, with the power-light and fan off.  Once in the sleep state, pressing-and-releasing the power button should cause the system to resume to the same booted-up-and-logged-in state it was in before, other than requiring a screen-unlock password if so configured.
Comment 1 Josh Boyer 2012-09-17 14:37:13 EDT
Are you still seeing this with the newer 3.4 or 3.5 kernel updates?  If so, could you please attach the output of lsmod?
Comment 2 Dave Jones 2012-10-23 11:40:49 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 David Paschal 2012-10-31 23:22:02 EDT
The problem does not seem to happen with kernel 3.6.2-1.fc16.i686, so feel free to close this bug.
Comment 4 Fedora End Of Life 2013-01-16 09:33:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 10:40:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.